<?php 
add_action( 'wp_enqueue_scripts', 'cryptocurrency_insight_enqueue_styles' );
function cryptocurrency_insight_enqueue_styles() {
	wp_enqueue_style( 'cyptocurrency-insight-parent-style', get_template_directory_uri() . '/style.css' ); 
    wp_enqueue_script( 'cyptocurrency-insight-scripts', get_stylesheet_directory_uri() . '/js/customscripts.js',array('jquery'),'',true);
} 
function cryptocurrency_insight_load_google_fonts() {
	wp_enqueue_style( 'cryptocurrency-insight-google-fonts', '//fonts.googleapis.com/css?family=Roboto:400,500' ); 
}
add_action( 'wp_enqueue_scripts', 'cryptocurrency_insight_load_google_fonts' ); 
require get_stylesheet_directory() . '/inc/custom-header.php';


function cryptocurrency_insight_customize_register( $wp_customize ) {

    $wp_customize->add_setting( 'social_media_background_color', array(
        'default'           => '#0b062b',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'         => 'refresh',
        ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'social_media_background_color', array(
        'label'       => __( 'Social Media background Color', 'cryptocurrency-insight' ),
        'section'     => 'header_image',
        'priority'   => 0,
        'settings'    => 'social_media_background_color',
        ) ) );

    $wp_customize->add_setting( 'social_media_color', array(
        'default'           => '#f9c63c',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'         => 'refresh',
        ) );

    $wp_customize->add_setting( 'top_header_background_color', array(
        'default'           => '#fff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'         => 'refresh',
        ) );

    $wp_customize->add_setting( 'general_theme_color', array(
        'default'           => '#f9c63c',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'         => 'refresh',
        ) );
    $wp_customize->add_setting( 'navigation_frontpage_link_color', array(
        'default'           => '#fff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'         => 'refresh',
        ) );
}
add_action( 'customize_register', 'cryptocurrency_insight_customize_register', 999 );

if(! function_exists('cryptocurrency_insight_final_output' ) ):
    function cryptocurrency_insight_final_output(){

        ?>

        <style type="text/css">

     <?php if ( get_theme_mod( 'toggle_hide_sidebar' ) == '1' ) : ?>
         .sidebar.c-4-12 {display:none !important;}
         .article {width:100%;max-width:100%;}
     <?php endif; ?>
     .site-branding .fa { color: <?php echo esc_attr(get_theme_mod( 'social_media_color')); ?>; }
     .header-button-solid, .header-button-solid:hover, .header-button-solid:active, .header-button-solid:focus { color: <?php echo esc_attr(get_theme_mod( 'header_right_button_text_color')); ?>; }
     .header-button-solid, .header-button-solid:hover, .header-button-solid:active, .header-button-solid:focus { background: <?php echo esc_attr(get_theme_mod( 'header_right_button_bg')); ?>; }
     .header-button-border, .header-button-border:hover, .header-button-border:active, .header-button-border:focus { color: <?php echo esc_attr(get_theme_mod( 'header_left_button_text_color')); ?>; }
     .header-button-border, .header-button-border:hover, .header-button-border:active, .header-button-border:focus { border-color: <?php echo esc_attr(get_theme_mod( 'header_left_button_bg')); ?>; }
     .read-more, .read-more:hover, .read-more:active, .read-more:focus, .read-more:visited { background: <?php echo esc_attr(get_theme_mod( 'all_blog_posts_btn_bg')); ?>; }
     .read-more, .read-more:hover, .read-more:active, .read-more:focus, .read-more:visited { color: <?php echo esc_attr(get_theme_mod( 'all_blog_posts_btn_txt')); ?>; }
     .pagination a, .pagination2, .pagination .dots, .post.excerpt { background: <?php echo esc_attr(get_theme_mod( 'all_blog_posts_bg')); ?>; }
     #content, #comments, #commentsAdd, .related-posts, .single-post .post.excerpt, .postauthor { background: <?php echo esc_attr(get_theme_mod( 'post_page_background')); ?>; }
     #sidebars .widget { background: <?php echo esc_attr(get_theme_mod( 'sidebar_background_color')); ?>; }
     .upper-widgets-grid-wrapper { background: <?php echo esc_attr(get_theme_mod( 'upper_widgets_background_color')); ?>; }
     footer { background: <?php echo esc_attr(get_theme_mod( 'footer_bg_color')); ?>; }
     .copyrights { background: <?php echo esc_attr(get_theme_mod( 'footer_copyright_bg_color')); ?>; }
     #site-header { background-color: <?php echo esc_attr(get_theme_mod( 'top_header_background_color')); ?>; }
     .primary-navigation, .primary-navigation, #navigation ul ul li { background-color: <?php echo esc_attr(get_theme_mod( 'navigation_background_color')); ?>; }
     a#pull, #navigation .menu a, #navigation .menu a:hover, #navigation .menu .fa > a, #navigation .menu .fa > a, #navigation .toggle-caret, #navigation span.site-logo a, #navigation.mobile-menu-wrapper .site-logo a, .primary-navigation.header-activated #navigation ul ul li a { color: <?php echo esc_attr(get_theme_mod( 'navigation_link_color')); ?> }
     #sidebars .widget h3, #sidebars .widget h3 a, #sidebars h3 { color: <?php echo esc_attr(get_theme_mod( 'sidebar_headline_color')); ?>; }
     #sidebars .widget a, #sidebars a, #sidebars li a { color: <?php echo esc_attr(get_theme_mod( 'sidebar_link_color')); ?>; }
     #sidebars .widget, #sidebars, #sidebars .widget li { color: <?php echo esc_attr(get_theme_mod( 'sidebar_text_color')); ?>; }
     .post.excerpt .post-content, .pagination a, .pagination2, .pagination .dots { color: <?php echo esc_attr(get_theme_mod( 'all_blog_posts_text')); ?>; }
     .post.excerpt h2.title a { color: <?php echo esc_attr(get_theme_mod( 'all_blog_posts_headline')); ?>; }
     .pagination a, .pagination2, .pagination .dots { border-color: <?php echo esc_attr(get_theme_mod( 'all_blog_posts_text')); ?>; }
     span.entry-meta{ color: <?php echo esc_attr(get_theme_mod( 'all_blog_posts_date')); ?>; }
     .article h1, .article h2, .article h3, .article h4, .article h5, .article h6, .total-comments, .article th{ color: <?php echo esc_attr(get_theme_mod( 'post_page_headline')); ?>; }
     .article, .article p, .related-posts .title, .breadcrumb, .article #commentform textarea  { color: <?php echo esc_attr(get_theme_mod( 'post_page_text')); ?>; }
     .article a, .breadcrumb a, #commentform a { color: <?php echo esc_attr(get_theme_mod( 'post_page_link')); ?>; }
     #commentform input#submit, #commentform input#submit:hover{ background: <?php echo esc_attr(get_theme_mod( 'post_page_link')); ?>; }
     .post-date-landing, .comment time { color: <?php echo esc_attr(get_theme_mod( 'post_page_date')); ?>; }
     .footer-widgets #pageasyform input[type='submit'],  .footer-widgets #pageasyform input[type='submit']:hover{ background: <?php echo esc_attr(get_theme_mod( 'footer_link_color')); ?>; }
     .footer-widgets h3:after{ background: <?php echo esc_attr(get_theme_mod( 'footer_headline_color')); ?>; }
     .footer-widgets h3, .footer-widgets h3 a, footer .widget.widget_rss h3 a { color: <?php echo esc_attr(get_theme_mod( 'footer_headline_color')); ?>; }
     .footer-widgets .widget li, .footer-widgets .widget, #copyright-note, footer p{ color: <?php echo esc_attr(get_theme_mod( 'footer_text_color')); ?>; }
     footer .widget a, #copyright-note a, #copyright-note a:hover, footer .widget a:hover, footer .widget li a:hover{ color: <?php echo esc_attr(get_theme_mod( 'footer_link_color')); ?>; }
     .top-column-widget a, .top-column-widget a:hover, .top-column-widget a:active, .top-column-widget a:focus { color: <?php echo esc_attr(get_theme_mod( 'upper_widgets_link_color')); ?>; }
     .top-column-widget, .upper-widgets-grid { color: <?php echo esc_attr(get_theme_mod( 'upper_widgets_content_color')); ?>; }
     .top-column-widget .widget.widget_rss h3 a, .upper-widgets-grid h3, .top-column-widget h3{ color: <?php echo esc_attr(get_theme_mod( 'upper_widgets_headlinke_color')); ?>; }
     @media screen and (min-width: 865px) {
        .primary-navigation.header-activated #navigation a { color: <?php echo esc_attr(get_theme_mod( 'navigation_frontpage_link_color')); ?>; }
    }
    @media screen and (max-width: 865px) {
        #navigation.mobile-menu-wrapper{ background-color: <?php echo esc_attr(get_theme_mod( 'navigation_background_color')); ?>; }
    }
    .site-branding { padding-top: <?php echo esc_attr(get_theme_mod( 'header_top_padding')); ?>px; }
    .site-branding { padding-bottom: <?php echo esc_attr(get_theme_mod( 'header_bottom_padding')); ?>px; }

         .site-branding a .fa { background: <?php echo esc_attr(get_theme_mod( 'social_media_background_color')); ?>; }
.site-branding a .fa { border-color: <?php echo esc_attr(get_theme_mod( 'social_media_background_color')); ?>; }

</style>
<?php }
add_action( 'wp_head', 'cryptocurrency_insight_final_output' );
endif;



/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function cryptocurrency_insight_customize_preview_js() {
   wp_enqueue_script( 'cryptocurrency-insight-customizer', get_stylesheet_directory() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'cryptocurrency_insight_customize_preview_js' );


require_once get_stylesheet_directory() . '/inc/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'cryptocurrency_insight_register_required_plugins' );
function cryptocurrency_insight_register_required_plugins() {
    $plugins = array(
        array(
            'name'      => 'Coupon Reveal Buttons',
            'slug'      => 'coupon-reveal-button',
            'required'  => false,
        ),

    );

    $config = array(
        'id'           => 'cryptocurrency-insight',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.


    );

    tgmpa( $plugins, $config );
}
